Package org.jfree.report.util

# Class WorkerHandle

java.lang.Object
org.jfree.report.util.WorkerHandle

public class WorkerHandle extends Object
The worker handle is a control structure which allows control over the worker without exposing the thread object.

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`WorkerHandle(Worker worker)`
Creates a new handle for the given worker.

## Method Summary

Modifier and Type
Method
Description
`void`
`finish()`
Finishes the worker.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkerHandle

public WorkerHandle(Worker worker)
Creates a new handle for the given worker.

Parameters:
  `worker` - the worker.

## Method Details

### finish

public void finish()
Finishes the worker.